com.io7m.jpra.compiler.core.parser

## Enum JPRAParseErrorCode

- java.lang.Object
- - java.lang.Enum<JPRAParseErrorCode>
  - - com.io7m.jpra.compiler.core.parser.JPRAParseErrorCode

- All Implemented Interfaces:
    Serializable, Comparable<JPRAParseErrorCode>

      public enum JPRAParseErrorCode
      extends Enum<JPRAParseErrorCode>

  The set of parser error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_FIELD_NAME` An invalid field name was specified.
    `BAD_PACKAGE_NAME` An invalid package name was specified.
    `BAD_TYPE_NAME` An invalid type name was specified.
    `BAD_TYPE_REFERENCE` An invalid type reference was specified.
    `DUPLICATE_FIELD_NAME` A type declaration contained a duplicate field.
    `EXPECTED_LIST_GOT_QUOTED_STRING` A quoted string was specified where a list was expected.
    `EXPECTED_LIST_GOT_SYMBOL` A symbol was specified where a list was expected.
    `EXPECTED_NON_EMPTY_LIST` An empty list was specified where a non-empty list was required.
    `EXPECTED_SYMBOL_GOT_LIST` A list was specified where a symbol was expected.
    `EXPECTED_SYMBOL_GOT_QUOTED_STRING` A quoted string was specified where a symbol was expected.
    `EXPECTED_SYMBOL_OR_LIST_GOT_QUOTED_STRING` A symbol or list was expected, but a quoted string was specified.
    `INVALID_INTEGER_CONSTANT` A malformed integer constant was specified.
    `SYNTAX_ERROR` A syntax error for a specific expression was encountered.
    `UNRECOGNIZED_INTEGER_TYPE_KEYWORD` An unrecognized integer type keyword was encountered.
    `UNRECOGNIZED_KEYWORD` An unrecognized keyword was specified.
    `UNRECOGNIZED_PACKED_FIELD_KEYWORD` An unrecognized packed field keyword was specified.
    `UNRECOGNIZED_RECORD_FIELD_KEYWORD` An unrecognized record field keyword was specified.
    `UNRECOGNIZED_SIZE_FUNCTION` An unrecognized size function was specified.
    `UNRECOGNIZED_TYPE_KEYWORD` An unrecognized type keyword was specified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPRAParseErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPRAParseErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPECTED_LIST_GOT_QUOTED_STRING

          public static final JPRAParseErrorCode EXPECTED_LIST_GOT_QUOTED_STRING

      A quoted string was specified where a list was expected.

    - #### EXPECTED_LIST_GOT_SYMBOL

          public static final JPRAParseErrorCode EXPECTED_LIST_GOT_SYMBOL

      A symbol was specified where a list was expected.

    - #### EXPECTED_SYMBOL_GOT_LIST

          public static final JPRAParseErrorCode EXPECTED_SYMBOL_GOT_LIST

      A list was specified where a symbol was expected.

    - #### EXPECTED_SYMBOL_GOT_QUOTED_STRING

          public static final JPRAParseErrorCode EXPECTED_SYMBOL_GOT_QUOTED_STRING

      A quoted string was specified where a symbol was expected.

    - #### UNRECOGNIZED_KEYWORD

          public static final JPRAParseErrorCode UNRECOGNIZED_KEYWORD

      An unrecognized keyword was specified.

    - #### EXPECTED_NON_EMPTY_LIST

          public static final JPRAParseErrorCode EXPECTED_NON_EMPTY_LIST

      An empty list was specified where a non-empty list was required.

    - #### BAD_PACKAGE_NAME

          public static final JPRAParseErrorCode BAD_PACKAGE_NAME

      An invalid package name was specified.

    - #### SYNTAX_ERROR

          public static final JPRAParseErrorCode SYNTAX_ERROR

      A syntax error for a specific expression was encountered.

    - #### UNRECOGNIZED_TYPE_KEYWORD

          public static final JPRAParseErrorCode UNRECOGNIZED_TYPE_KEYWORD

      An unrecognized type keyword was specified.

    - #### UNRECOGNIZED_INTEGER_TYPE_KEYWORD

          public static final JPRAParseErrorCode UNRECOGNIZED_INTEGER_TYPE_KEYWORD

      An unrecognized integer type keyword was encountered.

    - #### EXPECTED_SYMBOL_OR_LIST_GOT_QUOTED_STRING

          public static final JPRAParseErrorCode EXPECTED_SYMBOL_OR_LIST_GOT_QUOTED_STRING

      A symbol or list was expected, but a quoted string was specified.

    - #### INVALID_INTEGER_CONSTANT

          public static final JPRAParseErrorCode INVALID_INTEGER_CONSTANT

      A malformed integer constant was specified.

    - #### UNRECOGNIZED_SIZE_FUNCTION

          public static final JPRAParseErrorCode UNRECOGNIZED_SIZE_FUNCTION

      An unrecognized size function was specified.

    - #### BAD_FIELD_NAME

          public static final JPRAParseErrorCode BAD_FIELD_NAME

      An invalid field name was specified.

    - #### DUPLICATE_FIELD_NAME

          public static final JPRAParseErrorCode DUPLICATE_FIELD_NAME

      A type declaration contained a duplicate field.

    - #### BAD_TYPE_NAME

          public static final JPRAParseErrorCode BAD_TYPE_NAME

      An invalid type name was specified.

    - #### UNRECOGNIZED_RECORD_FIELD_KEYWORD

          public static final JPRAParseErrorCode UNRECOGNIZED_RECORD_FIELD_KEYWORD

      An unrecognized record field keyword was specified.

    - #### BAD_TYPE_REFERENCE

          public static final JPRAParseErrorCode BAD_TYPE_REFERENCE

      An invalid type reference was specified.

    - #### UNRECOGNIZED_PACKED_FIELD_KEYWORD

          public static final JPRAParseErrorCode UNRECOGNIZED_PACKED_FIELD_KEYWORD

      An unrecognized packed field keyword was specified.

  - ### Method Detail

    - #### values

          public static JPRAParseErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPRAParseErrorCode c : JPRAParseErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPRAParseErrorCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com